Problems upgrading to wheezy

Post your update and upgrade related errors here
Forum rules
Before you post please read this

Problems upgrading to wheezy

Postby mandrake88 on Mon May 06, 2013 1:42 am

I'm upgrading LMDE using wheezy repos, i did the following:

First, the sources.list

deb http://packages.linuxmint.com/ debian main upstream import backport
deb http://ftp.us.debian.org/debian/ wheezy main contrib non-free
deb http://security.debian.org/ wheezy/updates main contrib non-free


rm /etc/apt/preferences

When i tried to do a dist-upgrade, apt said that mint-meta-debian-cinnamon thunderbird will be removed, so i did a simple apt-get upgrade

Everything went well (Except for some problem with the fglrx driver, i had to boot in recovery mode and remove the fglrx driver), but still having the same problem with dist-upgrade

$ sudo apt-get dist-upgrade
Leyendo lista de paquetes...
Creando árbol de dependencias...
Leyendo la información de estado...
Los siguientes paquetes se ELIMINARÁN:
mint-meta-debian-cinnamon thunderbird
Se instalarán los siguientes paquetes NUEVOS:
amd64-microcode gnome-accessibility-themes gnome-themes-standard-data
intel-microcode iucode-tool libdns88 libisc84 libqtdbus4 libqtdbus4:i386
Se actualizarán los siguientes paquetes:
bind9-host dnsutils firmware-linux firmware-linux-nonfree
gnome-themes-standard hunspell-en-us libbind9-80 libisccc80 libisccfg82
liblwres80 libqt4-dbus libqt4-dbus:i386 libqt4-declarative libqt4-designer
libqt4-help libqt4-network libqt4-network:i386 libqt4-opengl libqt4-script
libqt4-scripttools libqt4-sql libqt4-svg libqt4-test libqt4-xml
libqt4-xml:i386 libqt4-xmlpatterns libqtcore4 libqtcore4:i386 libqtgui4
libqtgui4:i386 qdbus
31 actualizados, 9 se instalarán, 2 para eliminar y 0 no actualizados.
Necesito descargar 28,2 MB de archivos.
Se liberarán 48,5 MB después de esta operación.
¿Desea continuar [S/n]? Abortado.


English translation:
"Los siguientes paquetes se ELIMINARÁN" = packages that willl be removed
"Se instalarán los siguientes paquetes NUEVOS: = new packages that will be installed
"Se actualizarán los siguientes paquetes" = packages that will be updated

What should i do? is safe run the dist-upgrade? i really don't know why apt want to remove the mint-meta-debian-cinnamon package (thunderbird is removed because it was replaced by the version without brand, i think..)
mandrake88
Level 1
Level 1
 
Posts: 36
Joined: Sat Mar 19, 2011 7:01 pm

Linux Mint is funded by ads and donations.
 

Re: Problems upgrading to wheezy

Postby Monsta on Mon May 06, 2013 6:41 am

Short answer: viewtopic.php?f=199&t=128115#p697381

Long answer:

here's the butterfly:
Code: Select all
rm /etc/apt/preferences

and here's its effect:
  1. Mint's own repo doesn't have priority over Debian's one anymore
  2. apt-get wants to install a newer version of hunspell-en-us package from Debian's repo
  3. That newer version conflicts with thunderbird (that's why Mint repo has a special version of it which doesn't cause conflicts)
  4. apt-get wants to remove thunderbird
  5. apt-get wants to remove mint-meta-debian-cinnamon as it depends on thunderbird
Monsta
Level 8
Level 8
 
Posts: 2450
Joined: Fri Aug 19, 2011 3:46 am

Re: Problems upgrading to wheezy

Postby kurotsugi on Mon May 06, 2013 8:23 am

Code: Select all
Package: *
Pin: release o=linuxmint
Pin-Priority: 700

Package: *
Pin: origin packages.linuxmint.com
Pin-Priority: 700

Package: *
Pin: release o=Debian
Pin-Priority: 500
that's the content of /etc/apt/preference in case if you want to revert to your previous setting. aside from your current sources.list add these repo will be usefull too.
Code: Select all
# wheezy
deb http://ftp.us.debian.org/debian wheezy main contrib non-free
deb http://ftp.us.debian.org/debian wheezy-updates main contrib non-free
deb http://ftp.us.debian.org/debian wheezy-proposed-updates main contrib non-free
deb http://security.debian.org/ wheezy/updates main contrib non-free
deb http://www.deb-multimedia.org wheezy main non-free
Last edited by kurotsugi on Mon May 06, 2013 8:33 am, edited 1 time in total.
kurotsugi
Level 5
Level 5
 
Posts: 891
Joined: Fri Jan 25, 2013 3:54 am

Re: Problems upgrading to wheezy

Postby Monsta on Mon May 06, 2013 8:28 am

kurotsugi wrote:
Code: Select all
deb http://www.deb-multimedia.org testing main non-free

testing? :)
Monsta
Level 8
Level 8
 
Posts: 2450
Joined: Fri Aug 19, 2011 3:46 am

Re: Problems upgrading to wheezy

Postby kurotsugi on Mon May 06, 2013 8:32 am

my bad...I forgot to edit that one. it should be wheezy.
kurotsugi
Level 5
Level 5
 
Posts: 891
Joined: Fri Jan 25, 2013 3:54 am

Re: Problems upgrading to wheezy

Postby mandrake88 on Mon May 06, 2013 1:58 pm

yay! sucessfull dist-upgrade :D

thx for the help guys
mandrake88
Level 1
Level 1
 
Posts: 36
Joined: Sat Mar 19, 2011 7:01 pm


Return to Update/Upgrade Issues

Who is online

Users browsing this forum: No registered users and 5 guests